Bug 151804 - CAN-2005-0449 Possible remote Oops/firewall bypass - kABI breaker - ipf
CAN-2005-0449 Possible remote Oops/firewall bypass - kABI breaker - ipf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
impact=important,public=20050124,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-22 10:46 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 11:10:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch from Dave Miller for RHEL2.1 (7.25 KB, patch)
2005-03-22 10:46 EST, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-22 10:46:41 EST
This issue now is known to affect linux-2.4

+++ This bug was initially created as a clone of Bug #147468 +++

vendor-sec made us aware of a security relevant problem yesterday (remote
opps/firewall bypass) in the netdev code. 

  http://linux.bkbits.net:8080/linux-2.5/cset@41f8843a8ZMCNuP3meYAYnnXd3CO_g

This is the relevant thread:

  http://oss.sgi.com/archives/netdev/2005-01/msg01036.html

Passed to PeterM for investigation, the patch breaks kABI.
Comment 1 Mark J. Cox (Product Security) 2005-03-22 10:46:42 EST
Created attachment 112217 [details]
Proposed patch from Dave Miller for RHEL2.1
Comment 2 Jim Paradis 2005-04-19 13:45:18 EDT
A fix for this problem has been committed to the RHEL21 source pool for kernel
version 2.4.18-e.56
Comment 3 John Flanagan 2005-04-28 11:10:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-284.html

Note You need to log in before you can comment on or make changes to this bug.